Liferay.Loader.define("commerce-product-options-web@3.0.21/CPOptionValuesEditor.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy', 'frontend-js-metal-web$metal-state', './CPOptionValuesEditor.soy'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

    var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

    var _metalState = require("frontend-js-metal-web$metal-state");

    var _CPOptionValuesEditor = _interopRequireDefault(require("./CPOptionValuesEditor.soy"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    /**
     * CPOptionValuesEditor
     *
     */
    var CPOptionValuesEditor = /*#__PURE__*/function (_Component) {
      _inherits(CPOptionValuesEditor, _Component);

      function CPOptionValuesEditor(opt_config, opt_parentElement) {
        var _this;

        _classCallCheck(this, CPOptionValuesEditor);

        _this = _possibleConstructorReturn(this, _getPrototypeOf(CPOptionValuesEditor).call(this, opt_config, opt_parentElement));

        _this.on('showChanged', _this._handleShowChange);

        _this.on('cpOptionIdChanged', _this._handleShowChange);

        return _this;
      }

      _createClass(CPOptionValuesEditor, [{
        key: "_handleClose",
        value: function _handleClose() {
          this.emit('close');
        }
      }, {
        key: "_handleAddOptionValue",
        value: function _handleAddOptionValue() {
          this._newOptionValueName = '';
          this._currentOptionValue = '0';
        }
      }, {
        key: "loadOptionValues",
        value: function loadOptionValues() {
          var _this2 = this;

          if (!this.cpOptionId || this.cpOptionId === '0') {
            this._newOptionValueName = '';
            this._currentOptionValue = '0';
            return;
          }

          var url = new URL(this.optionValuesURL);
          url.searchParams.append(this.namespace + 'cpOptionId', this.cpOptionId);
          (0, _frontendJsWeb.fetch)(url.toString()).then(function (response) {
            return response.json();
          }).then(function (jsonResponse) {
            _this2._optionValues = jsonResponse;

            if (_this2._optionValues && _this2._optionValues.length > 0) {
              if (!_this2._currentOptionValue) {
                _this2._currentOptionValue = _this2._optionValues[0].cpOptionValueId;
              }
            } else if (_this2._optionValues && _this2._optionValues.length == 0) {
              _this2._newOptionValueName = '';
              _this2._currentOptionValue = '0';
            }
          });
        }
      }, {
        key: "_handleShowChange",
        value: function _handleShowChange(_event) {
          this.loadOptionValues();
        }
      }, {
        key: "_handleOptionValueSelected",
        value: function _handleOptionValueSelected(cpOptionValueId) {
          this._currentOptionValue = cpOptionValueId;
        }
      }, {
        key: "_handleOptionValueSaved",
        value: function _handleOptionValueSaved(event) {
          this._currentOptionValue = event.cpOptionValueId;
          this.loadOptionValues();

          if (event.success) {
            this._showNotification(this.successMessage, 'success');
          } else {
            this._showNotification(event.message, 'danger');
          }
        }
      }, {
        key: "_handleOptionValueDeleted",
        value: function _handleOptionValueDeleted(_event) {
          this._currentOptionValue = null;
          this.loadOptionValues();
        }
      }, {
        key: "_handleCancelEditing",
        value: function _handleCancelEditing(_event) {
          this._currentOptionValue = null;
          this.loadOptionValues();
        }
      }, {
        key: "_handleNameChange",
        value: function _handleNameChange(newName) {
          if (this._currentOptionValue == '0') {
            this._newOptionValueName = newName;
          } else {
            this._newOptionValueName = '';
          }
        }
      }, {
        key: "_showNotification",
        value: function _showNotification(message, type) {
          AUI().use('liferay-notification', function () {
            new Liferay.Notification({
              closeable: true,
              delay: {
                hide: 5000,
                show: 0
              },
              duration: 500,
              message: message,
              render: true,
              title: '',
              type: type
            });
          });
        }
      }]);

      return CPOptionValuesEditor;
    }(_metalComponent.default);
    /**
     * State definition.
     * @type {!Object}
     * @static
     */

    CPOptionValuesEditor.STATE = {
      _newOptionValueName: _metalState.Config.string().value(''),
      _optionValues: _metalState.Config.array().value([]),
      cpOptionId: _metalState.Config.string().required(),
      namespace: _metalState.Config.string().required(),
      optionValueURL: _metalState.Config.string().required(),
      optionValuesURL: _metalState.Config.string().required(),
      pathThemeImages: _metalState.Config.string().required(),
      show: _metalState.Config.bool().value(false),
      successMessage: _metalState.Config.string().required()
    }; // Register component

    _metalSoy.default.register(CPOptionValuesEditor, _CPOptionValuesEditor.default);

    var _default = CPOptionValuesEditor;
    exports.default = _default;
    //# sourceMappingURL=CPOptionValuesEditor.es.js.map
  }
});
//# sourceMappingURL=CPOptionValuesEditor.es.js.map